## WMS SMSC Address WMS SMSC Address |

## Functions

QmiIndicationWmsSmscAddressOutput * | qmi_indication_wms_smsc_address_output_ref ()
void | qmi_indication_wms_smsc_address_output_unref ()
gboolean | qmi_indication_wms_smsc_address_output_get_address ()

## Types and Values

| QmiIndicationWmsSmscAddressOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationWmsSmscAddressOutput

## Description

## Functions

### qmi_indication_wms_smsc_address_output_ref ()

    QmiIndicationWmsSmscAddressOutput *
    qmi_indication_wms_smsc_address_output_ref
                                   (QmiIndicationWmsSmscAddressOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationWmsSmscAddressOutput. |

#### Returns

the new reference to `self` .

### qmi_indication_wms_smsc_address_output_unref ()

    void
    qmi_indication_wms_smsc_address_output_unref
                                   (QmiIndicationWmsSmscAddressOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationWmsSmscAddressOutput. |

### qmi_indication_wms_smsc_address_output_get_address ()

    gboolean
    qmi_indication_wms_smsc_address_output_get_address
                                   (QmiIndicationWmsSmscAddressOutput *self,
                                    const gchar **value_address_type,
                                    const gchar **value_address_digits,
                                    GError **error);

Get the 'Address' field from `self` .

#### Parameters

self | a QmiIndicationWmsSmscAddressOutput. |
value_address_type | a placeholder for the output constant string, or `NULL` if not required. |
value_address_digits | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

## Types and Values

### QmiIndicationWmsSmscAddressOutput

    typedef struct _QmiIndicationWmsSmscAddressOutput QmiIndicationWmsSmscAddressOutput;

The QmiIndicationWmsSmscAddressOutput structure contains private data and should only be accessed using the provided API.